jif.ast

## Class JifClassDecl_c

- java.lang.Object
- - polyglot.ast.Node_c
  - - polyglot.ast.Term_c
    - - polyglot.ast.ClassDecl_c
      - - jif.ast.JifClassDecl_c

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JifClassDecl, polyglot.ast.ClassDecl, polyglot.ast.ClassDeclOps, polyglot.ast.ClassMember, polyglot.ast.Documentable, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Term, polyglot.ast.TermOps, polyglot.ast.TopLevelDecl, polyglot.util.Copy<polyglot.ast.Node>

  Deprecated.

      @Deprecated
      public class JifClassDecl_c
      extends polyglot.ast.ClassDecl_c
      implements JifClassDecl

  An implementation of the `JifClassDecl` interface.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.ast.Term

      `polyglot.ast.Term.Instance`

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<PrincipalNode>` | `authority` Deprecated.
    `protected java.util.List<ConstraintNode<Assertion>>` | `constraints` Deprecated.
    `protected java.util.List<ParamDecl>` | `params` Deprecated.

    - ### Fields inherited from class polyglot.ast.ClassDecl_c

      `body, defaultCI, flags, implicitMembersAdded, interfaces, javadoc, name, superClass, type`

    - ### Fields inherited from class polyglot.ast.Term_c

      `exceptions, reachable`

    - ### Fields inherited from class polyglot.ast.Node_c

      `del, error, ext, position`

    - ### Fields inherited from interface polyglot.ast.Term

      `ENTRY, EXIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JifClassDecl_c(polyglot.util.Position pos, polyglot.types.Flags flags, polyglot.ast.Id name, java.util.List<ParamDecl> params, polyglot.ast.TypeNode superClass, java.util.List<polyglot.ast.TypeNode> interfaces, java.util.List<PrincipalNode> authority, java.util.List<ConstraintNode<Assertion>> constraints, polyglot.ast.ClassBody body, polyglot.ast.Javadoc javadoc)` Deprecated.
    `JifClassDecl_c(polyglot.util.Position pos, polyglot.types.Flags flags, polyglot.ast.Id name, java.util.List<ParamDecl> params, polyglot.ast.TypeNode superClass, java.util.List<polyglot.ast.TypeNode> interfaces, java.util.List<PrincipalNode> authority, java.util.List<ConstraintNode<Assertion>> constraints, polyglot.ast.ClassBody body, polyglot.ast.Javadoc javadoc, polyglot.ast.Ext ext)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `JifContext` | `addAuthorityToContext(JifContext A)` Deprecated.
    `JifContext` | `addConstraintsToContext(JifContext A)` Deprecated.
    `JifContext` | `addParamsToContext(JifContext A)` Deprecated.
    `java.util.List<PrincipalNode>` | `authority()` Deprecated.
    `JifClassDecl` | `authority(java.util.List<PrincipalNode> authority)` Deprecated.
    `protected <N extends JifClassDecl_c> N` | `authority(N n, java.util.List<PrincipalNode> authority)` Deprecated.
    `polyglot.ast.Node` | `buildTypes(polyglot.visit.TypeBuilder tb)` Deprecated.
    `java.util.List<ConstraintNode<Assertion>>` | `constraints()` Deprecated.
    `JifClassDecl` | `constraints(java.util.List<ConstraintNode<Assertion>> constraints)` Deprecated.
    `protected <N extends JifClassDecl_c> N` | `constraints(N n, java.util.List<ConstraintNode<Assertion>> constraints)` Deprecated.
    `polyglot.ast.Node` | `disambiguate(polyglot.visit.AmbiguityRemover ar)` Deprecated.
    `polyglot.types.Context` | `enterChildScope(polyglot.ast.Node child, polyglot.types.Context c)` Deprecated.
    `polyglot.types.Context` | `enterScope(polyglot.types.Context c)` Deprecated.
    `java.util.List<ParamDecl>` | `params()` Deprecated.
    `JifClassDecl` | `params(java.util.List<ParamDecl> params)` Deprecated.
    `protected <N extends JifClassDecl_c> N` | `params(N n, java.util.List<ParamDecl> params)` Deprecated.
    `void` | `prettyPrintHeader(polyglot.util.CodeWriter w, polyglot.visit.PrettyPrinter tr)` Deprecated.
    `protected <N extends JifClassDecl_c> N` | `reconstruct(N n, polyglot.ast.Id name, java.util.List<ParamDecl> params, polyglot.ast.TypeNode superClass, java.util.List<polyglot.ast.TypeNode> interfaces, java.util.List<PrincipalNode> authority, java.util.List<ConstraintNode<Assertion>> constraints, polyglot.ast.ClassBody body)` Deprecated.
    `void` | `translate(polyglot.util.CodeWriter w, polyglot.visit.Translator tr)` Deprecated.
    `JifClassDecl` | `type(polyglot.types.Type type)` Deprecated.
    `polyglot.ast.Node` | `visitChildren(polyglot.visit.NodeVisitor v)` Deprecated.

    - ### Methods inherited from class polyglot.ast.ClassDecl_c

      `acceptCFG, addDefaultConstructor, addDefaultConstructorIfNeeded, body, body, body, buildTypesEnter, checkSupertypeCycles, copy, defaultConstructorNeeded, disambiguateOverride, disambiguateSupertypes, dump, extRewrite, firstChild, flags, flags, flags, id, id, id, interfaces, interfaces, interfaces, isDisambiguated, javadoc, javadoc, javadoc, memberInstance, name, name, prettyPrint, prettyPrintFooter, reconstruct, setInterfaces, setSuperClass, superClass, superClass, superClass, toString, type, type, type, typeCheck`

    - ### Methods inherited from class polyglot.ast.Term_c

      `exceptionCheck, exceptions, exceptions, exceptions, listChild, reachable, reachable, reachable`

    - ### Methods inherited from class polyglot.ast.Node_c

      `addDecls, checkConstants, childExpectedType, copy, copy, copyIfNeeded, del, del, disambiguateEnter, dump, dump, dump, dump, error, error, error, exceptionCheckEnter, ext, ext, ext, ext, extRewriteEnter, extRewriteOverride, isTypeChecked, lang, position, position, position, prettyPrint, prettyPrint, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, typeCheckEnter, typeCheckOverride, visit, visitChild, visitEdge, visitList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface polyglot.ast.ClassDecl

      `body, body, flags, flags, id, id, interfaces, interfaces, name, name, superClass, superClass, type, type`

    - ### Methods inherited from interface polyglot.ast.Documentable

      `javadoc, javadoc`

    - ### Methods inherited from interface polyglot.ast.ClassMember

      `memberInstance`

    - ### Methods inherited from interface polyglot.ast.Term

      `exceptions, exceptions, reachable, reachable`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Field Detail

    - #### params

          protected java.util.List<ParamDecl> params

      Deprecated.

    - #### authority

          protected java.util.List<PrincipalNode> authority

      Deprecated.

    - #### constraints

          protected java.util.List<ConstraintNode<Assertion>> constraints

      Deprecated.

  - ### Constructor Detail

    - #### JifClassDecl_c

          public JifClassDecl_c(polyglot.util.Position pos,
                                polyglot.types.Flags flags,
                                polyglot.ast.Id name,
                                java.util.List<ParamDecl> params,
                                polyglot.ast.TypeNode superClass,
                                java.util.List<polyglot.ast.TypeNode> interfaces,
                                java.util.List<PrincipalNode> authority,
                                java.util.List<ConstraintNode<Assertion>> constraints,
                                polyglot.ast.ClassBody body,
                                polyglot.ast.Javadoc javadoc)

      Deprecated.

    - #### JifClassDecl_c

          public JifClassDecl_c(polyglot.util.Position pos,
                                polyglot.types.Flags flags,
                                polyglot.ast.Id name,
                                java.util.List<ParamDecl> params,
                                polyglot.ast.TypeNode superClass,
                                java.util.List<polyglot.ast.TypeNode> interfaces,
                                java.util.List<PrincipalNode> authority,
                                java.util.List<ConstraintNode<Assertion>> constraints,
                                polyglot.ast.ClassBody body,
                                polyglot.ast.Javadoc javadoc,
                                polyglot.ast.Ext ext)

      Deprecated.

  - ### Method Detail

    - #### constraints

          public java.util.List<ConstraintNode<Assertion>> constraints()

      Deprecated.
      Specified by:
        `constraints` in interface `JifClassDecl`

    - #### constraints

          public JifClassDecl constraints(java.util.List<ConstraintNode<Assertion>> constraints)

      Deprecated.
      Specified by:
        `constraints` in interface `JifClassDecl`

    - #### constraints

          protected <N extends JifClassDecl_c> N constraints(N n,
                                                             java.util.List<ConstraintNode<Assertion>> constraints)

      Deprecated.

    - #### params

          public java.util.List<ParamDecl> params()

      Deprecated.
      Specified by:
        `params` in interface `JifClassDecl`

    - #### params

          public JifClassDecl params(java.util.List<ParamDecl> params)

      Deprecated.
      Specified by:
        `params` in interface `JifClassDecl`

    - #### params

          protected <N extends JifClassDecl_c> N params(N n,
                                                        java.util.List<ParamDecl> params)

      Deprecated.

    - #### authority

          public java.util.List<PrincipalNode> authority()

      Deprecated.
      Specified by:
        `authority` in interface `JifClassDecl`

    - #### authority

          public JifClassDecl authority(java.util.List<PrincipalNode> authority)

      Deprecated.
      Specified by:
        `authority` in interface `JifClassDecl`

    - #### authority

          protected <N extends JifClassDecl_c> N authority(N n,
                                                           java.util.List<PrincipalNode> authority)

      Deprecated.

    - #### reconstruct

          protected <N extends JifClassDecl_c> N reconstruct(N n,
                                                             polyglot.ast.Id name,
                                                             java.util.List<ParamDecl> params,
                                                             polyglot.ast.TypeNode superClass,
                                                             java.util.List<polyglot.ast.TypeNode> interfaces,
                                                             java.util.List<PrincipalNode> authority,
                                                             java.util.List<ConstraintNode<Assertion>> constraints,
                                                             polyglot.ast.ClassBody body)

      Deprecated.

    - #### visitChildren

          public polyglot.ast.Node visitChildren(polyglot.visit.NodeVisitor v)

      Deprecated.
      Specified by:
        `visitChildren` in interface `polyglot.ast.NodeOps`
      Overrides:
        `visitChildren` in class `polyglot.ast.ClassDecl_c`

    - #### enterScope

          public polyglot.types.Context enterScope(polyglot.types.Context c)

      Deprecated.
      Specified by:
        `enterScope` in interface `polyglot.ast.NodeOps`
      Overrides:
        `enterScope` in class `polyglot.ast.Node_c`

    - #### enterChildScope

          public polyglot.types.Context enterChildScope(polyglot.ast.Node child,
                                                        polyglot.types.Context c)

      Deprecated.
      Specified by:
        `enterChildScope` in interface `polyglot.ast.NodeOps`
      Overrides:
        `enterChildScope` in class `polyglot.ast.ClassDecl_c`

    - #### addConstraintsToContext

          public JifContext addConstraintsToContext(JifContext A)

      Deprecated.

    - #### addParamsToContext

          public JifContext addParamsToContext(JifContext A)

      Deprecated.
      Specified by:
        `addParamsToContext` in interface `JifClassDecl`

    - #### addAuthorityToContext

          public JifContext addAuthorityToContext(JifContext A)

      Deprecated.
      Specified by:
        `addAuthorityToContext` in interface `JifClassDecl`

    - #### buildTypes

          public polyglot.ast.Node buildTypes(polyglot.visit.TypeBuilder tb)
                                       throws polyglot.types.SemanticException

      Deprecated.
      Specified by:
        `buildTypes` in interface `polyglot.ast.NodeOps`
      Overrides:
        `buildTypes` in class `polyglot.ast.ClassDecl_c`
      Throws:
        `polyglot.types.SemanticException`

    - #### disambiguate

          public polyglot.ast.Node disambiguate(polyglot.visit.AmbiguityRemover ar)
                                         throws polyglot.types.SemanticException

      Deprecated.
      Specified by:
        `disambiguate` in interface `polyglot.ast.NodeOps`
      Overrides:
        `disambiguate` in class `polyglot.ast.ClassDecl_c`
      Throws:
        `polyglot.types.SemanticException`

    - #### type

          public JifClassDecl type(polyglot.types.Type type)

      Deprecated.
      Specified by:
        `type` in interface `JifClassDecl`

    - #### prettyPrintHeader

          public void prettyPrintHeader(polyglot.util.CodeWriter w,
                                        polyglot.visit.PrettyPrinter tr)

      Deprecated.
      Specified by:
        `prettyPrintHeader` in interface `polyglot.ast.ClassDeclOps`
      Overrides:
        `prettyPrintHeader` in class `polyglot.ast.ClassDecl_c`

    - #### translate

          public void translate(polyglot.util.CodeWriter w,
                                polyglot.visit.Translator tr)

      Deprecated.
      Specified by:
        `translate` in interface `polyglot.ast.NodeOps`
      Overrides:
        `translate` in class `polyglot.ast.Node_c`